Skip to main content
GET
Search & list Fraud checks

Authorizations

Authorization
string
header
required

You can use an OAuth2 JWT bearer token in the Authorization header of your API requests for supported endpoints: Authorization: Bearer <YOUR_JWT_HERE>. These tokens are valid for 10 minutes and can be requested via the access token endpoint endpoint.

Query Parameters

includeInstrument
boolean
default:false

Boolean indicating if the payment instrument should be included in the response.

includeHolderReference
boolean
default:false

Boolean indicating if the holder reference should be included in the response.

filter[fraudId]
string

Filter for a list of fraud checks by ID.

filter[providerId]
string

Filter for a list of fraud checks by provider ID.

filter[providerConfigId]
string

Filter for a list of fraud checks by provider config ID.

filter[providerReference]
string

Filter for a list of fraud checks by provider reference.

filter[holderId]
string

Filter for a list of fraud checks by holder ID.

filter[holderReference]
string

Filter for a list of fraud checks by holder reference.

filter[workflowExecutionId]
string

Filter for a list of fraud checks by workflow execution ID.

filter[status]
string

Filter for a list of fraud checks by latest payment status.

filter[decision]
string

Filter for a list of fraud checks by any decision.

filter[instrumentId]
string

Filter for a list of fraud checks by instrument ID.

filter[instrumentBin]
string

Filter for a list of fraud checks by instrument BIN.

filter[instrumentSuffix]
string

Filter for a list of fraud checks by instrument suffix.

filter[instrumentNetwork]
string

Filter for a list of fraud checks by card network.

filter[instrumentIssuer]
string

Filter for a list of fraud checks by instrument issuer.

filter[instrumentIssuerCountry]
string

Filter for a list of fraud checks by instrument issuer country.

filter[instrumentFutureUsage]
string

Filter for a list of fraud checks by instrument future usage.

filter[workspaceId]
string

Filter by Workspace ID.

filter[createdAt]
string

Filter by createdAt field using interval notation.

1973-02-03T04:32:11.596Z - exact date value

(1973-02-03T04:32:11.596Z - after the date excluding it

[1973-02-03T04:32:11.596Z - after the date including it

1973-02-03T04:32:11.596Z) - before the date excluding it

1973-02-03T04:32:11.596Z] - before the date including it

(1973-02-03T04:32:11.596Z,1973-04-03T03:20:11.436Z) - between two dates excluding both

(1973-02-03T04:32:11.596Z,1973-04-03T03:20:11.436Z] - between two dates excluding on the left

[1973-02-03T04:32:11.596Z,1973-04-03T03:20:11.436Z) - between two dates excluding on the right

[1973-02-03T04:32:11.596Z,1973-04-03T03:20:11.436Z] - between two dates including both.

Example:

"[2026-04-01T00:00:00Z,2026-05-01T00:00:00Z)"

page[cursor]
string

Search collection items from that cursor. Cursor for paging results.

page[after]
string

Search collection items after that cursor. Cursor for paging results.

page[before]
string

Search collection items before that cursor. Cursor for paging results.

page[size]
integer<int32>

Length of the collection to search.

Response

Success.

results
object[]
required